حل مشکل دسترسی به Packagist

این یک مشکل Packagist/Composer است که قادر نیست فایلهای مورد نیاز را دانلود کند (معمولا به علت زمانبندی) و هنگامی که دسترسی به فایل «رد شود», رمز عبور VCS درخواست می شود.

معمولا خطا به صورت زیر می باشد:

Updating dependencies (including require-dev)

    Authentication required (packagist.org):
      Username:
      Password: 
Do you want to store credentials for packagist.org in /home/.../.config/composer/auth.json ? [Yn]

برای حل این مشکل کافیه دستور زیر را در خط فرمان وارد کنید:

composer config -g repo.packagist composer https://repo.packagist.org

پاسخی بگذارید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *